%define major			2
%define libname			%mklibname %{name} %{major}
%define libnamedev		%mklibname %{name} -d
%define libnamestaticdev	%mklibname %{name} -d -s
%define ulock_major		1

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		fuse
Version:	2.9.2
Release:	%mkrel 2
Epoch:		0
License:	GPLv2+
Group:		System/Libraries
URL:		http://sourceforge.net/projects/fuse/
Source0:	http://downloads.sourceforge.net/project/fuse/fuse-2.X/%{version}/%{name}-%{version}.tar.gz
Source2:	fuse-makedev.d-fuse
Patch1:		mount-readlink-hang-workaround.patch
Requires(post):	makedev
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	libtool
BuildRequires:	gettext-devel

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n %{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/C
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Obsoletes:	%libname-devel < %{version}

%description -n %{libnamedev}
Header files and development libraries for fuse.

%package -n %{libname}
Summary:	Libraries for fuse
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n %{libname}
Libraries for fuse.

%package -n %{libnamestaticdev}
Summary:	Static libraries for fuse
Group:		Development/C
Provides:	%{name}-static-devel = %{epoch}:%{version}-%{release}
Requires:	%{libnamedev} = %{epoch}:%{version}-%{release}
Obsoletes:	%libname-static-devel < %{version}

%description -n %{libnamestaticdev}
Static libraries for fuse.

%prep

%setup -q
%patch1 -p1
%{__sed} -i 's|mknod|/bin/echo Disabled: mknod |g' util/Makefile.in
%{__perl} -pi -e 's|INIT_D_PATH=.*|INIT_D_PATH=%{_initrddir}|' configure*

%build

%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}

%makeinstall_std
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mv} %{buildroot}/sbin/mount.%{name} %{buildroot}%{_sbindir}
rmdir %{buildroot}/sbin

%{__mkdir_p} %{buildroot}%{_sysconfdir}/makedev.d
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse


rm -fr %{buildroot}%{_sysconfdir}/rc.d/init.d %{buildroot}%{_sysconfdir}/udev/rules.d

rm -f %{buildroot}%{_libdir}/*.la

%preun
if [ -f %{_sysconfdir}/rc.d/init.d/fuse ]; then
  chkconfig --del fuse
fi

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING COPYING.LIB ChangeLog FAQ Filesystems INSTALL NEWS README README.NFS
%attr(0755,root,root) %{_sbindir}/mount.fuse
%attr(4755,root,root) %{_bindir}/fusermount
%attr(0755,root,root) %{_bindir}/ulockmgr_server
%config(noreplace) %{_sysconfdir}/makedev.d/z-fuse
%{_mandir}/man1/*.xz
%{_mandir}/man8/*.xz

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/libfuse.so.%{major}*
%{_libdir}/libulockmgr.so.%{ulock_major}*

%files -n %{libnamedev}
%defattr(-,root,root,0755)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdev}
%defattr(0644,root,root,0755)
%{_libdir}/*.a




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0:2.9.2-2.mga3
+ Revision: 350995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 luigiwalser <luigiwalser> 0:2.9.2-1.mga3
+ Revision: 334770
- 2.9.2

* Mon Dec 24 2012 tv <tv> 0:2.9.1-3.mga3
+ Revision: 334683
- revert blino's requires on 'kmod(fuse)': it's provided by all kernels anyway
  but but this requires forces having kernel installed in iurt chroots if fuse
  is needed

  + malo <malo>
    - fix RPM group

* Sun Aug 26 2012 fedya <fedya> 0:2.9.1-2.mga3
+ Revision: 284048
- la files removed

* Wed Aug 22 2012 fedya <fedya> 0:2.9.1-1.mga3
+ Revision: 283118
- version update 2.9.1 and unversioned-explicit-obsoletes fix

* Sat Jul 21 2012 colin <colin> 0:2.8.7-2.mga3
+ Revision: 273158
- Update for usrmove

* Tue Mar 06 2012 blino <blino> 0:2.8.7-1.mga2
+ Revision: 220640
- 2.8.7
- require kmod(fuse) (even if enabled in all kernels from core)

* Sat Oct 15 2011 eandry <eandry> 0:2.8.6-1.mga2
+ Revision: 155372
- New version 2.8.6

* Thu Mar 03 2011 eandry <eandry> 0:2.8.5-1.mga1
+ Revision: 63470
- New version 2.8.5
- clean spec

* Tue Jan 11 2011 blino <blino> 0:2.8.4-3.mga1
+ Revision: 5817
- remove old ldconfig scriptlets and obsoletes
- imported package fuse

